AOZ Studio Beta - Bug #444

When pressing a normal key in combination with modifiers. Key Shift is shifted to the left 1 bit
(altering ALL the shift states).

08/07/2020 07:15 PM - Brian Flanagan
Affected version: 0.9.9.4

Description

History

#1 - 08/08/2020 08:56 PM - Brian Flanagan

Update: It is only the LEFT modifier keys that get shifted 1 bit. The RIGHT side modifers are OK.
#2 - 08/08/2020 11:59 PM - Brian Flanagan

Update 2: Certain combinations also cause a right bit shift.

Examples:

Right Ctrl & Left Meta (shifts the Right Ctrl right one bit - left meta is unaltered)

Right Ctrl & Left Shift (shifts the Right Ctrl right one bit - left shift is unaltered)

Some shifts also happen on key UP event.

Examples:

After holding Right Ctrl & Left Meta, if Cntrl only is released, Left Meta is shifted left one bit.
After holding Right Ctrl & Left Alt, if Alt only is released, Right Ctrl is shifted right one bit.

#3 - 08/09/2020 12:09 AM - Brian Flanagan

Also, though Alt is not returned by itself, it is returned when another key is pressed.
Example:

Holding the down arrow, with Right Alt returns Right Alt.

Holding the down arrow, with Left Alt also returns Right Alt.

Other shifts occur:
Holding the down arrow, with Left Meta, shifts Left Meta left 1 bit.

#4 - 08/20/2020 09:10 PM - Brian Flanagan
- Status changed from New to Resolved

- Target version set to 0.9.9.4-r3

This has been corrected. No more bit shifts happening!

#5 - 09/03/2020 07:58 PM - Brian Flanagan

- Status changed from Resolved to Closed

Re-tested in 0.9.9.4 RC1. Still works!
